Index: kernel/arch/ia64/include/arg.h
===================================================================
--- kernel/arch/ia64/include/arg.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/arg.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ARG_H__
-#define __ia64_ARG_H__
+#ifndef KERN_ia64_ARG_H_
+#define KERN_ia64_ARG_H_
 
 #include <stdarg.h>
@@ -40,5 +40,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/asm.h
===================================================================
--- kernel/arch/ia64/include/asm.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/asm.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ASM_H__
-#define __ia64_ASM_H__
+#ifndef KERN_ia64_ASM_H_
+#define KERN_ia64_ASM_H_
 
 #include <config.h>
@@ -282,5 +282,4 @@
 #endif
 
- /** @}
- */
-
+/** @}
+ */
Index: kernel/arch/ia64/include/atomic.h
===================================================================
--- kernel/arch/ia64/include/atomic.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/atomic.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ATOMIC_H__
-#define __ia64_ATOMIC_H__
+#ifndef KERN_ia64_ATOMIC_H_
+#define KERN_ia64_ATOMIC_H_
 
 /** Atomic addition.
@@ -63,5 +63,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/barrier.h
===================================================================
--- kernel/arch/ia64/include/barrier.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/barrier.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_BARRIER_H__
-#define __ia64_BARRIER_H__
+#ifndef KERN_ia64_BARRIER_H_
+#define KERN_ia64_BARRIER_H_
 
 /*
@@ -51,5 +51,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/byteorder.h
===================================================================
--- kernel/arch/ia64/include/byteorder.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/byteorder.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_BYTEORDER_H__
-#define __ia64_BYTEORDER_H__
+#ifndef KERN_ia64_BYTEORDER_H_
+#define KERN_ia64_BYTEORDER_H_
 
 /* IA-64 is little-endian */
@@ -42,5 +42,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/context.h
===================================================================
--- kernel/arch/ia64/include/context.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/context.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_CONTEXT_H__
-#define __ia64_CONTEXT_H__
+#ifndef KERN_ia64_CONTEXT_H_
+#define KERN_ia64_CONTEXT_H_
 
 #include <arch/types.h>
@@ -133,5 +133,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/cpu.h
===================================================================
--- kernel/arch/ia64/include/cpu.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/cpu.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_CPU_H__
-#define __ia64_CPU_H__
+#ifndef KERN_ia64_CPU_H_
+#define KERN_ia64_CPU_H_
 
 #include <arch/types.h>
Index: kernel/arch/ia64/include/debug.h
===================================================================
--- kernel/arch/ia64/include/debug.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/debug.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64debug ia64
+/** @addtogroup ia64debug ia64
  * @ingroup debug
  * @{
@@ -34,10 +34,9 @@
  */
 
-#ifndef __ia64_DEBUG_H__
-#define __ia64_DEBUG_H__
+#ifndef KERN_ia64_DEBUG_H_
+#define KERN_ia64_DEBUG_H_
 
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/drivers/it.h
===================================================================
--- kernel/arch/ia64/include/drivers/it.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/drivers/it.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_IT_H__
-#define __ia64_IT_H__
+#ifndef KERN_ia64_IT_H_
+#define KERN_ia64_IT_H_
 
 /*
@@ -49,5 +49,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/elf.h
===================================================================
--- kernel/arch/ia64/include/elf.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/elf.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ELF_H__
-#define __ia64_ELF_H__
+#ifndef KERN_ia64_ELF_H_
+#define KERN_ia64_ELF_H_
 
 #define	ELF_MACHINE		EM_IA_64
@@ -42,5 +42,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/fpu_context.h
===================================================================
--- kernel/arch/ia64/include/fpu_context.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/fpu_context.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_FPU_CONTEXT_H__
-#define __ia64_FPU_CONTEXT_H__
+#ifndef KERN_ia64_FPU_CONTEXT_H_
+#define KERN_ia64_FPU_CONTEXT_H_
 
 #define ARCH_HAS_FPU 1
@@ -47,8 +47,6 @@
 };
 
-
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/interrupt.h
===================================================================
--- kernel/arch/ia64/include/interrupt.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/interrupt.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64interrupt
+/** @addtogroup ia64interrupt
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_INTERRUPT_H__
-#define __ia64_INTERRUPT_H__
+#ifndef KERN_ia64_INTERRUPT_H_
+#define KERN_ia64_INTERRUPT_H_
 
 #include <typedefs.h>
@@ -124,5 +124,5 @@
 	return istate->cr_iip;
 }
-#include <panic.h>
+
 static inline int istate_from_uspace(istate_t *istate)
 {
@@ -140,9 +140,6 @@
 extern void disabled_fp_register(uint64_t vector, istate_t *istate);
 
-
-
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/memstr.h
===================================================================
--- kernel/arch/ia64/include/memstr.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/memstr.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_MEMSTR_H__
-#define __ia64_MEMSTR_H__
+#ifndef KERN_ia64_MEMSTR_H_
+#define KERN_ia64_MEMSTR_H_
 
 #define memcpy(dst, src, cnt)  __builtin_memcpy((dst), (src), (cnt))
@@ -45,5 +45,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/as.h
===================================================================
--- kernel/arch/ia64/include/mm/as.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/as.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_AS_H__
-#define __ia64_AS_H__
+#ifndef KERN_ia64_AS_H_
+#define KERN_ia64_AS_H_
 
 #define KERNEL_ADDRESS_SPACE_SHADOWED_ARCH	0
@@ -49,5 +49,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/asid.h
===================================================================
--- kernel/arch/ia64/include/mm/asid.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/asid.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_ASID_H__
-#define __ia64_ASID_H__
+#ifndef KERN_ia64_ASID_H_
+#define KERN_ia64_ASID_H_
 
 #ifndef __ASM__
@@ -63,5 +63,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/frame.h
===================================================================
--- kernel/arch/ia64/include/mm/frame.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/frame.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_FRAME_H__
-#define __ia64_FRAME_H__
+#ifndef KERN_ia64_FRAME_H_
+#define KERN_ia64_FRAME_H_
 
 #define FRAME_WIDTH   14	/* 16K */
@@ -51,5 +51,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/memory_init.h
===================================================================
--- kernel/arch/ia64/include/mm/memory_init.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/memory_init.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_MEMORY_INIT_H__
-#define __ia64_MEMORY_INIT_H__
+#ifndef KERN_ia64_MEMORY_INIT_H_
+#define KERN_ia64_MEMORY_INIT_H_
 
 #include <config.h>
@@ -42,5 +42,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/page.h
===================================================================
--- kernel/arch/ia64/include/mm/page.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/page.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -34,6 +34,6 @@
  */
 
-#ifndef __ia64_PAGE_H__
-#define __ia64_PAGE_H__
+#ifndef KERN_ia64_PAGE_H_
+#define KERN_ia64_PAGE_H_
 
 #include <arch/mm/frame.h>
Index: kernel/arch/ia64/include/mm/tlb.h
===================================================================
--- kernel/arch/ia64/include/mm/tlb.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/tlb.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_TLB_H__
-#define __ia64_TLB_H__
+#ifndef KERN_ia64_TLB_H_
+#define KERN_ia64_TLB_H_
 
 #define tlb_arch_init()
@@ -101,5 +101,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/mm/vhpt.h
===================================================================
--- kernel/arch/ia64/include/mm/vhpt.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/mm/vhpt.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -1,39 +1,38 @@
 /*
-* Copyright (C) 2006 Jakub Vana
-* All rights reserved.
-*
-* Redistribution and use in source and binary forms, with or without
-* modification, are permitted provided that the following conditions
-* are met:
-*
-* - Redistributions of source code must retain the above copyright
-*   notice, this list of conditions and the following disclaimer.
-* - Redistributions in binary form must reproduce the above copyright
-*   notice, this list of conditions and the following disclaimer in the
-*   documentation and/or other materials provided with the distribution.
-* - The name of the author may not be used to endorse or promote products
-*   derived from this software without specific prior written permission.
-*
-* THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
-* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
-* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-* IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
-* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
-* NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
-* THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ * Copyright (C) 2006 Jakub Vana
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
 /** @file
 */
-													
-
-#ifndef __ia64_VHPT_H__
-#define __ia64_VHPT_H__
+												
+#ifndef KERN_ia64_VHPT_H_
+#define KERN_ia64_VHPT_H_
 
 #include <arch/mm/tlb.h>
@@ -56,9 +55,6 @@
 void vhpt_invalidate_asid(asid_t asid);
 
-
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/pal/pal.h
===================================================================
--- kernel/arch/ia64/include/pal/pal.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/pal/pal.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_PAL_H__
-#define __ia64_PAL_H__
+#ifndef KERN_ia64_PAL_H_
+#define KERN_ia64_PAL_H_
 
 #define PAL_OK		 0	/**< Call completed without error. */
@@ -96,6 +96,6 @@
 
 /*
-	Ski PTCE data
-*/
+ *	Ski PTCE data
+ */
 #define PAL_PTCE_INFO_BASE() (0x100000000LL)
 #define PAL_PTCE_INFO_COUNT1() (2)
@@ -104,8 +104,6 @@
 #define PAL_PTCE_INFO_STRIDE2() (0x2000)
 
-
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/proc/task.h
===================================================================
--- kernel/arch/ia64/include/proc/task.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/proc/task.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64proc
+/** @addtogroup ia64proc
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_TASK_H__
-#define __ia64_TASK_H__
+#ifndef KERN_ia64_TASK_H_
+#define KERN_ia64_TASK_H_
 
 typedef struct {
@@ -44,5 +44,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/register.h
===================================================================
--- kernel/arch/ia64/include/register.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/register.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_REGISTER_H__
-#define __ia64_REGISTER_H__
+#ifndef KERN_ia64_REGISTER_H_
+#define KERN_ia64_REGISTER_H_
 
 #define CR_IVR_MASK	0xf
@@ -275,5 +275,4 @@
 #endif
 
- /** @}
- */
-
+/** @}
+ */
Index: kernel/arch/ia64/include/ski/ski.h
===================================================================
--- kernel/arch/ia64/include/ski/ski.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/ski/ski.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __SKI_H__
-#define __SKI_H__
+#ifndef KERN_ia64_SKI_H_
+#define KERN_ia64_SKI_H_
 
 #include <arch/types.h>
@@ -52,5 +52,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/smp/atomic.h
===================================================================
--- kernel/arch/ia64/include/smp/atomic.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ 	(revision )
@@ -1,4 +1,0 @@
-
- /** @}
- */
-
Index: kernel/arch/ia64/include/stack.h
===================================================================
--- kernel/arch/ia64/include/stack.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/stack.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ia64_STACK_H__
-#define __ia64_STACK_H__
+#ifndef KERN_ia64_STACK_H_
+#define KERN_ia64_STACK_H_
 
 #define STACK_ITEM_SIZE			8
@@ -43,5 +43,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/include/types.h
===================================================================
--- kernel/arch/ia64/include/types.h	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/include/types.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __TYPES_H__
-#define __TYPES_H__
+#ifndef KERN_ia64_TYPES_H_
+#define KERN_ia64_TYPES_H_
 
 #define NULL	0
@@ -71,3 +71,2 @@
 /** @}
  */
-
Index: kernel/arch/ia64/src/ia64.c
===================================================================
--- kernel/arch/ia64/src/ia64.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/ia64.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64
+/** @addtogroup ia64
  * @{
  */
@@ -153,5 +153,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/src/interrupt.c
===================================================================
--- kernel/arch/ia64/src/interrupt.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/interrupt.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -217,10 +217,5 @@
 	}
 
-	if (istate->in4 < SYSCALL_END)
-		return syscall_table[istate->in4](istate->in0, istate->in1, istate->in2, istate->in3);
-	else
-		panic("Undefined syscall %d", istate->in4);
-		
-	return -1;
+	return syscall_handler(istate->in0, istate->in1, istate->in2, istate->in3, istate->in4);
 }
 
Index: kernel/arch/ia64/src/mm/as.c
===================================================================
--- kernel/arch/ia64/src/mm/as.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/mm/as.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm
+/** @addtogroup ia64mm
  * @{
  */
@@ -86,5 +86,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/src/mm/frame.c
===================================================================
--- kernel/arch/ia64/src/mm/frame.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/mm/frame.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -55,5 +55,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/src/mm/page.c
===================================================================
--- kernel/arch/ia64/src/mm/page.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/mm/page.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -28,5 +28,5 @@
  */
 
- /** @addtogroup ia64mm	
+/** @addtogroup ia64mm	
  * @{
  */
@@ -264,5 +264,4 @@
 }
 
- /** @}
- */
-
+/** @}
+ */
Index: kernel/arch/ia64/src/mm/vhpt.c
===================================================================
--- kernel/arch/ia64/src/mm/vhpt.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/mm/vhpt.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -32,10 +32,8 @@
 /** @file
 */
-													
 
 #include <arch/mm/vhpt.h>
 #include <mm/frame.h>
 #include <print.h>
-
 
 static vhpt_entry_t* vhpt_base;
Index: kernel/arch/ia64/src/proc/scheduler.c
===================================================================
--- kernel/arch/ia64/src/proc/scheduler.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/proc/scheduler.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64proc
+/** @addtogroup ia64proc
  * @{
  */
@@ -89,5 +89,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/src/putchar.c
===================================================================
--- kernel/arch/ia64/src/putchar.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/putchar.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -41,5 +41,4 @@
 }
 
- /** @}
+/** @}
  */
-
Index: kernel/arch/ia64/src/ski/ski.c
===================================================================
--- kernel/arch/ia64/src/ski/ski.c	(revision 6eabb6e6dd5893162a9219e82db2afee1e5b1cb0)
+++ kernel/arch/ia64/src/ski/ski.c	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup ia64	
+/** @addtogroup ia64	
  * @{
  */
@@ -159,5 +159,4 @@
 }
 
-
 static chardev_operations_t ski_ops = {
 	.resume = ski_kb_enable,
@@ -166,5 +165,4 @@
 	.read = ski_getchar_blocking
 };
-
 
 /** Initialize debug console
@@ -189,4 +187,5 @@
 
 }
+
 /** Setup console sysinfo (i.e. Keyboard IRQ)
  *
@@ -201,5 +200,4 @@
 }
 
- /** @}
- */
-
+/** @}
+ */
